> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get choices for a parameter

> Returns paginated choices for a select/mselect parameter. Use the `q` parameter to search, and `page`/`limit` for pagination.



## OpenAPI

````yaml GET /v1/enrichments/{enrichment_id}/params/{param_slug}/choices
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/enrichments/{enrichment_id}/params/{param_slug}/choices:
    get:
      tags:
        - Enrichment
      summary: Get choices for a parameter
      description: >-
        Returns paginated choices for a select/mselect parameter. Use the `q`
        parameter to search, and `page`/`limit` for pagination.
      operationId: >-
        get_param_choices_v1_enrichments__enrichment_id__params__param_slug__choices_get
      parameters:
        - name: enrichment_id
          in: path
          required: true
          schema:
            type: integer
            description: The ID of the enrichment
            title: Enrichment Id
          description: The ID of the enrichment
        - name: param_slug
          in: path
          required: true
          schema:
            type: string
            description: The parameter slug/name
            title: Param Slug
          description: The parameter slug/name
        - name: q
          in: query
          required: false
          schema:
            type: string
            description: Search query to filter choices
            title: Q
          description: Search query to filter choices
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Items per page (max 500)
            default: 100
            title: Limit
          description: Items per page (max 500)
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Paginated list of choices
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChoicesResponse'
              example:
                items:
                  - id: us
                    name: United States
                  - id: gb
                    name: United Kingdom
                page: 1
                limit: 100
                has_next_page: false
                total_count: 2
        '403':
          description: Forbidden access
        '404':
          description: Enrichment or parameter not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChoicesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/app__api__v1__enrichment__ChoiceItem'
          type: array
          title: Items
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        has_next_page:
          type: boolean
          title: Has Next Page
        total_count:
          type: integer
          title: Total Count
      type: object
      required:
        - items
        - page
        - limit
        - has_next_page
        - total_count
      title: ChoicesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__api__v1__enrichment__ChoiceItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ChoiceItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````